version: "3.8"

services:
  kurwafolio:
    build: .
    labels:
      - "traefik.enable=true"
      #- "traefik.http.routers.kurwafolio.entrypoints=websecure"
      - "traefik.http.routers.kurwafolio.rule=(Host(`kurwafolio.oceanwave018.de`))"
      - "traefik.http.routers.kurwafolio.tls=true"
      - "traefik.http.routers.kurwafolio.tls.certresolver=lets-encrypt"
      - "traefik.http.routers.kurwafolio.service=kurwafolio"
      - "traefik.http.services.kurwafolio.loadbalancer.server.port=80"
      - "traefik.http.routers.kurwafolio.middlewares=simpleAuth@file"
      - traefik.port=80
      - "traefik.docker.network=web"
    networks:
      - web

networks:
  web:
    external: true